## manpages-ja 0.3

=== Makefile ===
#
# Makefile  for  linux-man-pages-ja-0.3  1998-02-01
#

all: config.man install

config: clearconfig config.man

config.man:	config.in script/Configure.sh
	@set -e; if [ config.status -nt config.in ]; then \
		/bin/bash ./script/Configure.sh < config.status; \
	else \
		/bin/bash ./script/Configure.sh < config.in; \
	fi

install: config.man
	@set -e; for i in $(wildcard man?/*); do \
		./script/Install.man $$i; \
	done

install_jman:
	cd man-ja; make install

clean:
	@echo -n

clearconfig:
	@rm -f config.man config.log config.tmp

distclean:
	rm -f config.status config.man config.log config.tmp

#

=== man-ja/Makefile ===
#
# man-ja/Makefile  for  linux-man-pages-ja-0.3  1998-02-01
#

all:

install:
	@mkdir -p /usr/share/locale/ja_JP.ujis
	@mkdir -p /usr/share/groff/tmac/mdoc
	@if [ -f /lib/libc.so.6 ]; then \
		echo "=== install jman(glibc2)     ==="; \
		cp -f glibc2/man /usr/bin/man; \
	else \
		echo "=== install jman(libc5)      ==="; \
		cp -f libc5/man /usr/bin/man; \
	fi
	@echo "=== install scripts          ==="
	@cp -f whatis /usr/bin/whatis
	@cp -f apropos /usr/bin/apropos
	@cp -f makewhatis /usr/sbin/makewhatis
	@echo "=== install man.conf         ==="
	@cp -f man.conf /etc/man.conf
	@echo "=== install japanese catalog ==="
	@cp -f mess.ja_JP.ujis.cat /usr/share/locale/ja_JP.ujis/man
	@echo "=== install japanese tmac    ==="
	@cp -f tmac/tmac.andocj /usr/share/groff/tmac/tmac.andocj
	@cp -f tmac/tmac.docj /usr/share/groff/tmac/tmac.docj
	@cp -f tmac/mdoc/docj-nroff /usr/share/groff/tmac/mdoc/docj-nroff
	@cp -f tmac/mdoc/docj-ditroff /usr/share/groff/tmac/mdoc/docj-ditroff

## manpages-ja 0.5.0.0.20130715+dfsg

=== debian/changelog ===
manpages-ja (0.5.0.0.20130715+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control.
    - New Maintainer. (Closes: #714667)
    - Bump Standard version: 3.9.4.
    - Set Vcs-Git and Vcs-Browser field.
  * Update debian/rules.
    - Delete processing to which environ(5) is moved.
    - Remove compression by gzip
  * Update patches.
    - Add patches for fix section number.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 04 Aug 2013 19:38:41 +0900

manpages-ja (0.5.0.0.20120606-2) unstable; urgency=low

  * Set the Maintainer field to Debian QA Group.

 -- Keita Maehara <maehara@debian.org>  Tue, 02 Jul 2013 01:30:47 +0900

manpages-ja (0.5.0.0.20120606-1) unstable; urgency=low

  * New upstream release.

 -- Keita Maehara <maehara@debian.org>  Sun, 10 Jun 2012 01:25:11 +0900

manpages-ja (0.5.0.0.20120523-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release (closes: Bug#673825).
  * debian/patches/*: Convert encoding to UTF-8.
  * debian/patches/crontab.5.patch: Drop hunk included upstream.
  * debian/patches/00_pkgs_selection.patch: Select packages for Debian.
  * debian/rules:
    + Generate installman.sh during build.
    + Compress with -9.
    + Include md5sum(1) since it's no longer from dpkg.
    + Remove rename(1) since it's not from util-linux (see: Bug#439935).

 -- YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>  Sun, 03 Jun 2012 20:39:55 +0900

manpages-ja (0.5.0.0.20110915-1) unstable; urgency=low

  * New upstream release.
  * Updated the URL of the JM Project.

 -- Keita Maehara <maehara@debian.org>  Sat, 08 Oct 2011 18:52:58 +0900

manpages-ja (0.5.0.0.20100315-1) unstable; urgency=low

  * New upstream release.

 -- Keita Maehara <maehara@debian.org>  Tue, 16 Mar 2010 23:52:56 +0900

manpages-ja (0.5.0.0.20080615-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards-Version to 3.8.0.
  * Removed the verbatim copy of the GFDL from debian/copyright.
  * Added Homepage field to debian/control.
  * Added debian/watch.

 -- Keita Maehara <maehara@debian.org>  Sun, 22 Jun 2008 11:22:25 +0900

manpages-ja (0.5.0.0.20071215-1) unstable; urgency=low

  * New upstream release.

 -- Keita Maehara <maehara@debian.org>  Sat, 22 Dec 2007 12:05:46 +0900

manpages-ja (0.5.0.0.20071115-1) unstable; urgency=low

  * New upstream release.

 -- Keita Maehara <maehara@debian.org>  Sun, 25 Nov 2007 22:29:18 +0900

manpages-ja (0.5.0.0.20070715-1) unstable; urgency=low

  * New upstream release.
  * Fixed pci.ids path in update-pciids(8) (closes: Bug#411606).

 -- Keita Maehara <maehara@debian.org>  Sun, 29 Jul 2007 11:37:45 +0900

manpages-ja (0.5.0.0.20070415-1) unstable; urgency=low

  * New upstream release.

 -- Keita Maehara <maehara@debian.org>  Mon, 23 Apr 2007 22:52:48 +0900

manpages-ja (0.5.0.0.20061215-1) unstable; urgency=low

  * New upstream release.

 -- Keita Maehara <maehara@debian.org>  Tue, 19 Dec 2006 23:46:07 +0900

manpages-ja (0.5.0.0.20061115-3) unstable; urgency=low

  * Applied the Debian specific patch to cron manpages contributed by
    Noritada KOBAYASHI (closes: Bug#403205).

 -- Keita Maehara <maehara@debian.org>  Sun, 17 Dec 2006 18:07:41 +0900

manpages-ja (0.5.0.0.20061115-2) unstable; urgency=low

  * Fixed the allowed values for "day of month" and "month" in
    crontab(5) (closes: Bug#261649).
  * Removed setproctitle(3) (closes: Bug#351633).

 -- Keita Maehara <maehara@debian.org>  Mon, 11 Dec 2006 00:43:37 +0900

manpages-ja (0.5.0.0.20061115-1) unstable; urgency=low

  * New upstream release.

 -- Keita Maehara <maehara@debian.org>  Thu, 16 Nov 2006 00:32:23 +0900

manpages-ja (0.5.0.0.20060915-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards-Version to 3.7.2.
  * Replaced "Build-Depends-Indep: debhelper" with "Build-Depends:
    debhelper".
  * Updated GFDL version to 1.2.

 -- Keita Maehara <maehara@debian.org>  Mon, 18 Sep 2006 12:29:12 +0900

manpages-ja (0.5.0.0.20060615-1) unstable; urgency=low

  * New upstream release.

 -- Keita Maehara <maehara@debian.org>  Sun, 25 Jun 2006 15:58:39 +0900

manpages-ja (0.5.0.0.20060415-1) unstable; urgency=low

  * New upstream release.

 -- Keita Maehara <maehara@debian.org>  Sun, 16 Apr 2006 12:50:47 +0900

manpages-ja (0.5.0.0.20060215-1) unstable; urgency=low

  * New upstream release.
  * Removed cdparanoia(1) (closes: Bug#353938).

 -- Keita Maehara <maehara@debian.org>  Sun, 26 Feb 2006 13:19:24 +0900

manpages-ja (0.5.0.0.20060115-1) unstable; urgency=low

  * New upstream release.

 -- Keita Maehara <maehara@debian.org>  Sun, 15 Jan 2006 22:13:28 +0900

manpages-ja (0.5.0.0.20051115-1) unstable; urgency=low

  * New upstream release.

 -- Keita Maehara <maehara@debian.org>  Sun, 20 Nov 2005 02:48:48 +0900

manpages-ja (0.5.0.0.20050915-2) unstable; urgency=low

  * Removed overlapping manpages in rpm (closes: Bug#333263).

 -- Keita Maehara <maehara@debian.org>  Wed, 12 Oct 2005 00:11:07 +0900

manpages-ja (0.5.0.0.20050915-1) unstable; urgency=low

  * New upstream release.
  * Removed expiry(1) (closes: Bug#330575).
  * Removed overlapping manpages in dhcp3-common (closes: Bug#330772).

 -- Keita Maehara <maehara@debian.org>  Sat,  1 Oct 2005 02:46:05 +0900

manpages-ja (0.5.0.0.20050715-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.6.2.

 -- Keita Maehara <maehara@debian.org>  Sat, 30 Jul 2005 09:38:15 +0900

manpages-ja (0.5.0.0.20050615-1) unstable; urgency=low

  * New upstream release.

 -- Keita Maehara <maehara@debian.org>  Sat, 18 Jun 2005 01:14:12 +0900

manpages-ja (0.5.0.0.20050415-1) unstable; urgency=low

  * New upstream release.

 -- Keita Maehara <maehara@debian.org>  Sun, 24 Apr 2005 11:30:23 +0900

manpages-ja (0.5.0.0.20050315-1) unstable; urgency=low

  * New upstream release.

 -- Keita Maehara <maehara@debian.org>  Tue, 15 Mar 2005 22:31:39 +0900

manpages-ja (0.5.0.0.20050215-1) unstable; urgency=low

  * New upstream release.



=== debian/watch ===
version=3
opts="uversionmangle=s/^/0.5.0.0./" \
  http://linuxjm.sourceforge.jp/download.html man-pages-ja-(.*)\.tar\.gz

## manpages-ja 0.5.0.0.20130815+dfsg

=== debian/changelog ===
manpages-ja (0.5.0.0.20130815+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Add patches/hwclock.patch.
    Update japanese translate for hwclock. (Closes: #675023)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 04 Sep 2013 16:14:29 +0900

=== debian/watch ===
version=3

opts=filenamemangle=s/^/0.5.0.0./,dversionmangle=s/\+dfsg//\
  http://linuxjm.sourceforge.jp/download.html man-pages-ja-(.*)\.tar\.gz

## manpages-ja 0.5.0.0.20131015+dfsg

=== debian/changelog ===
manpages-ja (0.5.0.0.20131015+dfsg-2) unstable; urgency=low

  [ YOSHINO Yoshihito ]
  * Correct upstream version matching.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 27 Nov 2013 08:56:45 +0900

manpages-ja (0.5.0.0.20131015+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 28 Oct 2013 14:40:52 +0900

=== debian/control ===
Source: manpages-ja
Section: doc
Priority: optional
Maintainer: YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.4
Homepage: http://linuxjm.sourceforge.jp/
Vcs-Git: git://anonscm.debian.org/collab-maint/manpages-ja.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/manpages-ja.git;a=summary

Package: manpages-ja
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: man-browser
Description: Japanese version of the manual pages (for users)
 This package contains the Linux manual pages translated into
 Japanese.
 .
 For more information, see JM project's web page:
 .
     http://linuxjm.sourceforge.jp/

Package: manpages-ja-dev
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: man-browser, manpages-ja
Conflicts: manpages-ja (<< 0.4.0.0.20000615-2)
Description: Japanese version of the manual pages (for developers)
 This package contains the Linux manual pages translated into
 Japanese. Following sections are provided:
   * 2 = Linux system calls.
   * 3 = Libc calls (note that a more comprehensive source of
 information may be found in the libc6-doc package).
 .
 For more information, see JM project's web page:
 .
     http://linuxjm.sourceforge.jp/

=== debian/rules ===
#!/usr/bin/make -f

PKD   = $(abspath $(dir $(MAKEFILE_LIST)))
PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
UVER  = $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')
DTYPE = +dfsg
VER  ?= $(subst $(DTYPE),,$(UVER))

%:
	dh $@

override_dh_auto_build:
	( echo \$$DESTDIR/usr/share/man/ja; echo 0; echo; echo; echo y; yes c ) | $(MAKE) config

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	# wall(1) is from util-linux (bsdutils)
	install -o root -g root -m 644 manual/util-linux/man1/wall.1 $(CURDIR)/debian/tmp/usr/share/man/ja/man1
	# find $(CURDIR)/debian/tmp/usr/share/man/ja/ -type f | xargs gzip -9

	# adduser(8) just includes .so line to useradd(8), which is quite confusing.
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man8/adduser.8
	# fastboot(8) and fasthalt(8) should not be included in the Debian distribution.
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man8/fastboot.8
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man8/fasthalt.8
	# overlapping manpages in login package
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man1/login.1
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man1/newgrp.1
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man1/sg.1
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man1/su.1
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man5/faillog.5
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man5/login.defs.5
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man8/faillog.8
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man8/lastlog.8
	# overlapping manpages in passwd package
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man1/chage.1
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man1/chfn.1
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man1/chsh.1
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man1/expiry.1
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man1/gpasswd.1
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man1/passwd.1
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man5/limits.5
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man5/login.access.5
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man5/passwd.5
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man5/porttime.5
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man5/shadow.5
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man8/chpasswd.8
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man8/dpasswd.8
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man8/groupadd.8
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man8/groupdel.8
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man8/groupmod.8
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man8/grpck.8
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man8/grpconv.8
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man8/grpunconv.8
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man8/mkpasswd.8
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man8/newusers.8
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man8/pwck.8
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man8/pwconv.8
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man8/pwunconv.8
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man8/shadowconfig.8
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man8/useradd.8
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man8/userdel.8
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man8/usermod.8
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man8/vigr.8
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man8/vipw.8
	# overlapping manpages in rpm package
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man8/rpmbuild.8
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man8/rpmcache.8
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man8/rpmgraph.8
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man8/rpm.8
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man8/rpm2cpio.8
	# suauth is no longer available
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man5/suauth.5
	# cal is not from bsdmainutils but from util-linux
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man1/cal.1
	# install-info is not from dpkg but from GNU texinfo
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man1/install-info.1
	# rename is not from util-linux (see #439935)
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man1/rename.1
	# overlapping manpages in dhcp3-common package
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man5/dhclient.conf.5
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man5/dhclient.leases.5
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man5/dhcp-options.5
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man5/dhcp-eval.5
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man8/dhclient-script.8
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man8/dhclient.8
	# overlapping manpages in cdparanoia package
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man1/cdparanoia.1
	# Install the translated pages as Japanese version
	# since jless-specific description is removed from them.
	install debian/jless.1 $(CURDIR)/debian/tmp/usr/share/man/ja/man1
	install debian/jlesskey.1 $(CURDIR)/debian/tmp/usr/share/man/ja/man1
	# Move tcpdump(1) to tcpdump(8).
	mv $(CURDIR)/debian/tmp/usr/share/man/ja/man1/tcpdump.1 $(CURDIR)/debian/tmp/usr/share/man/ja/man8/tcpdump.8
	# glibc doesn't implement setproctitle(3).
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man3/setproctitle.3

get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	@echo "# Extracting..."
	mkdir $(PKG)-$(VER) \
		&& tar -xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
		|| $(RM) -r $(PKG)-$(VER)
	@echo "# Cleaning-up..."
	cd $(PKG)-$(VER) \
		&& $(RM) -r -v \
		manual/procps/man1/top.1
	#$(RM) -v $(PKG)_$(VER).orig.tar.*
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
		| XZ_OPT="-6v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
		&& $(RM) -r "$(PKG)-$(VER)"

=== debian/watch ===
version=3

opts=uversionmangle=s/^/0.5.0.0./,dversionmangle=s/\+dfsg//\
  http://linuxjm.sourceforge.jp/download.html man-pages-ja-(.*)\.tar\.gz

## manpages-ja 0.5.0.0.20140515%2Bdfsg

=== debian/changelog ===
manpages-ja (0.5.0.0.20140515+dfsg-2) unstable; urgency=low

  * debian/patches/00_pkgs_selection.patch:
    - Drop pcmcia-cs. Thanks to Paul Wise <pabs@debian.org> (Closes: #807790).
    - Refresh hunks.
  * debian/control:
    - Update Standards-Version to 3.9.6.
    - Update upstream URLs in Homepage and Description.
  * debian/copyright, debian/watch: Update upstream URLs.

 -- YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>  Sun, 13 Dec 2015 17:33:38 +0900

manpages-ja (0.5.0.0.20140515+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Remove uri(7) due to license-problem-non-free-RFC. Thanks to lintian.
  * debian/control: Update Standards-Version to 3.9.5.

 -- YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>  Sat, 19 Jul 2014 17:34:47 +0900

=== debian/rules ===
--- 
+++ 
@@ -109,7 +109,7 @@
 	@echo "# Cleaning-up..."
 	cd $(PKG)-$(VER) \
 		&& $(RM) -r -v \
-		manual/procps/man1/top.1
+		manual/procps/man1/top.1 manual/LDP_man-pages/man7/uri.7
 	#$(RM) -v $(PKG)_$(VER).orig.tar.*
 	@echo "# Packing..."
 	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \

## manpages-ja 0.5.0.0.20140515+dfsg

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>
 Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.4
-Homepage: http://linuxjm.sourceforge.jp/
+Standards-Version: 3.9.6
+Homepage: http://linuxjm.osdn.jp/
 Vcs-Git: git://anonscm.debian.org/collab-maint/manpages-ja.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/manpages-ja.git;a=summary
 
@@ -20,7 +20,7 @@
  .
  For more information, see JM project's web page:
  .
-     http://linuxjm.sourceforge.jp/
+     http://linuxjm.osdn.jp/
 
 Package: manpages-ja-dev
 Architecture: all
@@ -37,5 +37,5 @@
  .
  For more information, see JM project's web page:
  .
-     http://linuxjm.sourceforge.jp/
+     http://linuxjm.osdn.jp/

=== debian/watch ===
version=3

opts=uversionmangle=s/^/0.5.0.0./,dversionmangle=s/\+dfsg//\
  http://linuxjm.osdn.jp/download.html man-pages-ja-(.*)\.tar\.gz

## manpages-ja 0.5.0.0.20161015%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Maintainer: YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>
 Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://linuxjm.osdn.jp/
 Vcs-Git: git://anonscm.debian.org/collab-maint/manpages-ja.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/manpages-ja.git;a=summary
 
 Package: manpages-ja
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Suggests: man-browser
@@ -24,6 +25,7 @@
 
 Package: manpages-ja-dev
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Suggests: man-browser, manpages-ja

## manpages-ja 0.5.0.0.20161015+dfsg

=== debian/changelog ===
manpages-ja (0.5.0.0.20161015+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>  Sat, 15 Oct 2016 15:52:39 +0900

manpages-ja (0.5.0.0.20160315+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Set Multi-Arch: foreign.

 -- YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>  Sat, 17 Sep 2016 14:27:15 +0900

manpages-ja (0.5.0.0.20140515+dfsg-3) unstable; urgency=low

  * debian/rules: Remove gasp(1), not found since woody (Closes: #832990).
  * debian/control: Update Standards-Version to 3.9.8.

 -- YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>  Sun, 31 Jul 2016 10:33:52 +0900

=== debian/rules ===
--- 
+++ 
@@ -94,6 +94,8 @@
 	mv $(CURDIR)/debian/tmp/usr/share/man/ja/man1/tcpdump.1 $(CURDIR)/debian/tmp/usr/share/man/ja/man8/tcpdump.8
 	# glibc doesn't implement setproctitle(3).
 	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man3/setproctitle.3
+	# gasp is no longer available
+	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man1/gasp.1
 
 get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
 	@

## manpages-ja 0.5.0.0.20180315+dfsg

=== Makefile ===
#
# Makefile  for  man-pages-ja-0.4  1998-12-20
#

all: config

config:	./script/configure.perl
	perl -w $<

install: installman.sh
	sh $<

clean:
	@rm -f installman.sh

=== debian/changelog ===
manpages-ja (0.5.0.0.20180315+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Update Standards-Version to 4.3.0.
  * debian/patches: Merge two patches for locate to fix typo.
  * debian/rules:
    - Move chroot to section 8, which is in sbin in Debian.
      Thanks to Michael Stapelberg <stapelberg@debian.org> (Closes: #856008).
  * debian/source/options: Remove custom compression to fix lintian warning.

 -- YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>  Fri, 04 Jan 2019 18:52:37 +0900

manpages-ja (0.5.0.0.20170315+dfsg-1) UNRELEASED; urgency=low

  * New upstream release.
  * debian/{control,copyright,watch}: Switch upstream URL to https.

 -- YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>  Sun, 17 Sep 2017 15:13:49 +0900

manpages-ja (0.5.0.0.20161015+dfsg-2) UNRELEASED; urgency=medium

  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

 -- Ondřej Nový <onovy@debian.org>  Mon, 01 Oct 2018 10:22:21 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>
 Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.8
-Homepage: http://linuxjm.osdn.jp/
-Vcs-Git: git://anonscm.debian.org/collab-maint/manpages-ja.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/manpages-ja.git;a=summary
+Standards-Version: 4.3.0
+Homepage: https://linuxjm.osdn.jp/
+Vcs-Git: https://salsa.debian.org/debian/manpages-ja.git
+Vcs-Browser: https://salsa.debian.org/debian/manpages-ja
 
 Package: manpages-ja
 Architecture: all
@@ -21,7 +21,7 @@
  .
  For more information, see JM project's web page:
  .
-     http://linuxjm.osdn.jp/
+     https://linuxjm.osdn.jp/
 
 Package: manpages-ja-dev
 Architecture: all
@@ -39,5 +39,5 @@
  .
  For more information, see JM project's web page:
  .
-     http://linuxjm.osdn.jp/
+     https://linuxjm.osdn.jp/

=== debian/rules ===
--- 
+++ 
@@ -90,6 +90,9 @@
 	# since jless-specific description is removed from them.
 	install debian/jless.1 $(CURDIR)/debian/tmp/usr/share/man/ja/man1
 	install debian/jlesskey.1 $(CURDIR)/debian/tmp/usr/share/man/ja/man1
+	# GNU thinks chroot is in bin, Debian thinks it is in sbin; as in coreutils package
+	sed 's/"1"/"8"/' $(CURDIR)/debian/tmp/usr/share/man/ja/man1/chroot.1 > $(CURDIR)/debian/tmp/usr/share/man/ja/man8/chroot.8
+	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man1/chroot.1
 	# Move tcpdump(1) to tcpdump(8).
 	mv $(CURDIR)/debian/tmp/usr/share/man/ja/man1/tcpdump.1 $(CURDIR)/debian/tmp/usr/share/man/ja/man8/tcpdump.8
 	# glibc doesn't implement setproctitle(3).

=== debian/watch ===
version=3

opts=uversionmangle=s/^/0.5.0.0./,dversionmangle=s/\+dfsg//\
 https://linuxjm.osdn.jp/download.html man-pages-ja-(.*)\.tar\.gz

## manpages-ja 0.5.0.0.20210115+dfsg

=== debian/changelog ===
manpages-ja (0.5.0.0.20210115+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/00_pkgs_selection.patch:
    - Use util-linux manpages for binaries switched from sysvinit in stretch.
    - Disable shadow, either overlapped with other packages or ancient.
  * debian/rules:
    - No longer exclude install-info(1), not from dpkg since squeeze.

 -- YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>  Sun, 31 Jan 2021 18:25:30 +0900

manpages-ja (0.5.0.0.20201215+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Drop tar.1.patch, updated upstream.
  * debian/control:
    + Use debhelper 13.
    + Update Standards-Version to 4.5.1.

 -- YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>  Mon, 11 Jan 2021 22:47:00 +0900

manpages-ja (0.5.0.0.20180315+dfsg-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 28 Dec 2020 11:52:30 +0100

## manpages-ja 0.5.0.0.20210215%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>
 Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.1
 Homepage: https://linuxjm.osdn.jp/
 Vcs-Git: https://salsa.debian.org/debian/manpages-ja.git
 Vcs-Browser: https://salsa.debian.org/debian/manpages-ja

=== debian/rules ===
#!/usr/bin/make -f

PKD   = $(abspath $(dir $(MAKEFILE_LIST)))
PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
UVER  = $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')
DTYPE = +dfsg
VER  ?= $(subst $(DTYPE),,$(UVER))

%:
	dh $@

override_dh_auto_build:
	( echo \$$DESTDIR/usr/share/man/ja; echo 0; echo; echo; echo y; yes c ) | $(MAKE) config

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	# newgrp(1) should not be derived from util-linux, but from shadow, while overlapped with login package
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man1/newgrp.1
	# su(1) should be derived from util-linux since buster, not its original ancient version
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man1/su.1
	# These manpages should not be derived from util-linux, but from shadow, while overlapped with passwd package
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man1/chfn.1
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man1/chsh.1
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man8/vigr.8
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man8/vipw.8
	# passwd(5) should not be derived from LDP, but from shadow, while overlapped with passwd package
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man5/passwd.5
	# cal(1) should be derived from bsdmainutils, not from util-linux
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man1/cal.1
	# rename(1) should not be derived from util-linux (see #439935)
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man1/rename.1
	# overlapping manpages in dhcp3-common package
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man5/dhclient.conf.5
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man5/dhclient.leases.5
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man5/dhcp-options.5
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man5/dhcp-eval.5
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man8/dhclient-script.8
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man8/dhclient.8
	# Install the translated pages as Japanese version
	# since jless-specific description is removed from them.
	install debian/jless.1 $(CURDIR)/debian/tmp/usr/share/man/ja/man1
	install debian/jlesskey.1 $(CURDIR)/debian/tmp/usr/share/man/ja/man1
	# GNU thinks chroot is in bin, Debian thinks it is in sbin; mimic coreutils package
	sed 's/"1"/"8"/' $(CURDIR)/debian/tmp/usr/share/man/ja/man1/chroot.1 > $(CURDIR)/debian/tmp/usr/share/man/ja/man8/chroot.8
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man1/chroot.1
	# Move tcpdump(1) to tcpdump(8).
	mv $(CURDIR)/debian/tmp/usr/share/man/ja/man1/tcpdump.1 $(CURDIR)/debian/tmp/usr/share/man/ja/man8/tcpdump.8
	# glibc doesn't implement setproctitle(3).
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man3/setproctitle.3
	# gasp is no longer available
	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man1/gasp.1

get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	@echo "# Extracting..."
	mkdir $(PKG)-$(VER) \
		&& tar -xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
		|| $(RM) -r $(PKG)-$(VER)
	@echo "# Cleaning-up..."
	cd $(PKG)-$(VER) \
		&& $(RM) -r -v \
		manual/procps/man1/top.1 manual/LDP_man-pages/man7/uri.7
	#$(RM) -v $(PKG)_$(VER).orig.tar.*
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
		| XZ_OPT="-6v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
		&& $(RM) -r "$(PKG)-$(VER)"

## manpages-ja 0.5.0.0.20210215+dfsg

=== debian/changelog ===
manpages-ja (0.5.0.0.20210215+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - write(1) is now from util-linux (bsdextrautils) since bullseye.

 -- YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>  Sun, 21 Feb 2021 11:27:54 +0900

## manpages-ja 0.5.0.0.20221215%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>
 Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://linuxjm.osdn.jp/
 Vcs-Git: https://salsa.debian.org/debian/manpages-ja.git
 Vcs-Browser: https://salsa.debian.org/debian/manpages-ja
@@ -29,7 +29,6 @@
 Section: doc
 Depends: ${misc:Depends}
 Suggests: man-browser, manpages-ja
-Conflicts: manpages-ja (<< 0.4.0.0.20000615-2)
 Description: Japanese version of the manual pages (for developers)
  This package contains the Linux manual pages translated into
  Japanese. Following sections are provided:

## manpages-ja 0.5.0.0.20221215+dfsg

=== debian/changelog ===
manpages-ja (0.5.0.0.20221215+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/00_pkgs_selection.patch:
    - Refresh hunks.
    - Do not install GNU's which, not in Debian.
    - Drop nfs-server (removed since squeeze).
  * debian/patches:
    - 0001-Fix-section-of-locate.1.patch,
      0004-Fix-section-of-updatedb.1.patch,
      0005-Fix-section-of-locatedb.5.patch: Drop them, updated upstream.
  * debian/bzexe.1:
    - Restore bzexe(1) from the last release, removed upstream because
      this is Debian-specific.
  * debian/rules:
    - Install bzexe(1).
    - Install swapoff(8) symlink, currently not found in upstream.
    - Rename GNU tar's rmt to rmt-tar, which is an /etc/alternatives link in
      Debian.
  * debian/control:
    - Drop Conflicts in manpages-ja-dev, obsolete at least a decade ago.
    - Update Standards-Version to 4.6.2.

 -- YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>  Mon, 09 Jan 2023 15:10:35 +0900

=== debian/rules ===
--- 
+++ 
@@ -40,6 +40,8 @@
 	# since jless-specific description is removed from them.
 	install debian/jless.1 $(CURDIR)/debian/tmp/usr/share/man/ja/man1
 	install debian/jlesskey.1 $(CURDIR)/debian/tmp/usr/share/man/ja/man1
+	# Install bzexe(1), which has been removed upstream because this is Debian-specific
+	install debian/bzexe.1 $(CURDIR)/debian/tmp/usr/share/man/ja/man1
 	# GNU thinks chroot is in bin, Debian thinks it is in sbin; mimic coreutils package
 	sed 's/"1"/"8"/' $(CURDIR)/debian/tmp/usr/share/man/ja/man1/chroot.1 > $(CURDIR)/debian/tmp/usr/share/man/ja/man8/chroot.8
 	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man1/chroot.1
@@ -49,6 +51,10 @@
 	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man3/setproctitle.3
 	# gasp is no longer available
 	rm -f $(CURDIR)/debian/tmp/usr/share/man/ja/man1/gasp.1
+	# Restore missing symlink
+	ln -s swapon.8 $(CURDIR)/debian/tmp/usr/share/man/ja/man8/swapoff.8
+	# Rename GNU tar's rmt to rmt-tar, which is an /etc/alternatives link in Debian.
+	mv $(CURDIR)/debian/tmp/usr/share/man/ja/man8/rmt.8 $(CURDIR)/debian/tmp/usr/share/man/ja/man8/rmt-tar.8
 
 get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
 	@
